while (!done)
{
	Fl::check ();
	
	while (SDL_PollEvent (&event))
	{
		switch (event.type)
		{
			case SDL_QUIT:
				
				{
					done = true;
				}
				break;

			case SDL_KEYDOWN:
				
				{
					switch (event.key.keysym.sym)
					{
						case SDLK_LEFT:

							{
								#include "cb_left.h"
							}
							break;

						case SDLK_RIGHT:

							{
								#include "cb_right.h"
							}
							break;

						case SDLK_UP:

							{
								#include "cb_up.h"
							}
							break;

						case SDLK_DOWN:

							{
								#include "cb_down.h"
							}
							break;

						case SDLK_ESCAPE:

							{
								done = true;
							}
							break;

						default:
							break;
					}
				}
				break;

			default:
				break;
		}
	}

	SDL_Delay (1);
}
