SDL_Init (SDL_INIT_VIDEO);
SDL_WM_SetCaption ("FLTK Demo", "FLTK Demo");

screen = SDL_SetVideoMode (640, 480, 8, SDL_HWPALETTE
					|SDL_SWSURFACE);
if (! screen)
{
	printf ("ERROR: Could not create a Window !\n");
	done = true;
}

cursor = SDL_LoadBMP ("data/cursor.bmp");
if (! cursor)
{
	printf ("ERROR: Did not found the File cursor.bmp !\n");
	done = true;
}

x = (screen->w - cursor->w) / 2;
y = (screen->h - cursor->h) / 2;
width = cursor -> w;
height = cursor -> h;

temp.x = x;
temp.y = y;
temp.w = width;
temp.h = height;

SDL_BlitSurface (cursor, NULL, screen, &temp);
SDL_UpdateRects (screen, 1, &temp);
